Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
Ipopt::SumMatrixSpace Class Reference

Class for matrix space for SumMatrix. More...

`#include <IpSumMatrix.hpp>`

Inheritance diagram for Ipopt::SumMatrixSpace:
[legend]

## Public Member Functions
Index | NTerms () const
| Accessor functions to get the number of terms in the sum. More...
void | SetTermSpace (Index term_idx, const MatrixSpace &mat_space)
| Set the appropriate matrix space for each term. More...
SmartPtr< const MatrixSpace > | GetTermSpace (Index term_idx) const
| Get the matrix space for a particular term. More...
SumMatrix * | MakeNewSumMatrix () const
| Method for creating a new matrix of this specific type. More...
virtual Matrix * | MakeNew () const
| Overloaded MakeNew method for the MatrixSpace base class. More...
Constructors / Destructors
| SumMatrixSpace (Index nrows, Index ncols, Index nterms)
| Constructor, given the number of row and columns, as well as the number of terms in the sum. More...
virtual | ~SumMatrixSpace ()
| Destructor. More...
Public Member Functions inherited from Ipopt::MatrixSpace
Index | NRows () const
| Accessor function for the number of rows. More...
Index | NCols () const
| Accessor function for the number of columns. More...
bool | IsMatrixFromSpace (const Matrix &matrix) const
| Method to test if a given matrix belongs to a particular matrix space. More...
| MatrixSpace (Index nRows, Index nCols)
| Constructor, given the number rows and columns of all matrices generated by this MatrixSpace. More...
virtual | ~MatrixSpace ()
| Destructor. More...
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const

## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| SumMatrixSpace ()
| Default constructor. More...
| SumMatrixSpace (const SumMatrixSpace &)
| Copy Constructor. More...
SumMatrixSpace & | operator= (const SumMatrixSpace &)
| Overloaded Equals Operator. More...

## Private Attributes
const Index | nterms_
std::vector< SmartPtr< const MatrixSpace > > | term_spaces_

## Detailed Description

Class for matrix space for SumMatrix.

Definition at line 103 of file IpSumMatrix.hpp.

## Constructor & Destructor Documentation

Ipopt::SumMatrixSpace::SumMatrixSpace | ( | Index | nrows,
|  | Index | ncols,
|  | Index | nterms
| ) |  |
| inline

Constructor, given the number of row and columns, as well as the number of terms in the sum.

Definition at line 111 of file IpSumMatrix.hpp.

virtual Ipopt::SumMatrixSpace::~SumMatrixSpace | ( |  | ) |
| inline virtual

Destructor.

Definition at line 118 of file IpSumMatrix.hpp.

Ipopt::SumMatrixSpace::SumMatrixSpace | ( |  | ) |
| private

Default constructor.

Ipopt::SumMatrixSpace::SumMatrixSpace | ( | const SumMatrixSpace & |  | ) |
| private

Copy Constructor.

## Member Function Documentation

Index Ipopt::SumMatrixSpace::NTerms | ( |  | ) | const
| inline

Accessor functions to get the number of terms in the sum.

Definition at line 123 of file IpSumMatrix.hpp.

void Ipopt::SumMatrixSpace::SetTermSpace | ( | Index | term_idx,
|  | const MatrixSpace & | mat_space
| ) |  |

Set the appropriate matrix space for each term.

This must be called for each term or a runtime error will occur

SmartPtr<const MatrixSpace> Ipopt::SumMatrixSpace::GetTermSpace | ( | Index | term_idx | ) | const

Get the matrix space for a particular term.

SumMatrix* Ipopt::SumMatrixSpace::MakeNewSumMatrix | ( |  | ) | const

Method for creating a new matrix of this specific type.

virtual Matrix* Ipopt::SumMatrixSpace::MakeNew | ( |  | ) | const
| virtual

Overloaded MakeNew method for the MatrixSpace base class.

Implements Ipopt::MatrixSpace.

SumMatrixSpace& Ipopt::SumMatrixSpace::operator= | ( | const SumMatrixSpace & |  | ) |
| private

Overloaded Equals Operator.

## Member Data Documentation

const Index Ipopt::SumMatrixSpace::nterms_
| private

Definition at line 161 of file IpSumMatrix.hpp.

std::vector< SmartPtr<const MatrixSpace> > Ipopt::SumMatrixSpace::term_spaces_
| private

Definition at line 163 of file IpSumMatrix.hpp.

The documentation for this class was generated from the following file:

- src/LinAlg/IpSumMatrix.hpp